<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MediaNotifyMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $expressPathUrl = null;
    


    protected $fileEncSha256 = null;
    


    protected $fileLength = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getExpressPathUrl()
    {
        return isset($this->expressPathUrl) ? $this->expressPathUrl : '';
    }

    public function hasExpressPathUrl()
    {
        return isset($this->expressPathUrl);
    }

    public function clearExpressPathUrl()
    {
        unset($this->expressPathUrl);
    }

    




    public function setExpressPathUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->expressPathUrl = $var;

        return $this;
    }

    



    public function getFileEncSha256()
    {
        return isset($this->fileEncSha256) ? $this->fileEncSha256 : '';
    }

    public function hasFileEncSha256()
    {
        return isset($this->fileEncSha256);
    }

    public function clearFileEncSha256()
    {
        unset($this->fileEncSha256);
    }

    




    public function setFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileEncSha256 = $var;

        return $this;
    }

    



    public function getFileLength()
    {
        return isset($this->fileLength) ? $this->fileLength : 0;
    }

    public function hasFileLength()
    {
        return isset($this->fileLength);
    }

    public function clearFileLength()
    {
        unset($this->fileLength);
    }

    




    public function setFileLength($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileLength = $var;

        return $this;
    }

}

